wlan.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <sys/socket.h>`
`#include <sys/ioctl.h>`
`#include <linux/types.h>`
`#include <linux/socket.h>`
`#include <linux/if.h>`
`#include <linux/wireless.h>`
`#include <net/ethernet.h>`
`#include "hd.h"`
`#include "hd_int.h"`
`#include "wlan.h"`

## Functions

int | iw_sockets_open (void)
static int | iw_get_ext (int skfd, const char *ifname, int request, struct iwreq *pwrq)
int | iw_get_range_info (int skfd, const char *ifname, struct iw_range *range)
double | iw_freq2float (const struct iw_freq *in)
void | hd_scan_wlan (hd_data_t *hd_data)